Re: Vala bindings for 0.6 (was [ANNOUNCE] libchamplain 0.6)

On Fri, Jun 4, 2010 at 17:53, Tomaž Vajngerl <quikee gmail com> wrote:
> On Wed, Jun 2, 2010 at 1:51 AM, Jiří Techet <techet gmail com> wrote:
>> Looks good. I made a few cleanups and also partly automatic version
>> string substitution in makefiles and the script. Unfortunately,
>> vala-gen-introspect requires that the directory (and files inside) has
>> the same name as the pkgconfig package name, so it has to contain the
>> version number. Manual version number incrementing is a bit
>> error-prone...
>> My modifications are here:
>> Please look at it if it's OK.
> Yes I think it is OK. :)

Good, I've pushed it both to the trunk and the 0.6 branch.

>> Just a question - do we have to
>> version-control the .gi files now? Since introspect and vapigen are
>> both called in the script and we provide the .vapi files, it looks
>> it's not necessary.
> No we do not need to version-control .gi files. We didn't have to
> version-control them earlier either but it was my mistake to add them
> in.

I have overlooked that you have actually removed them in the later
commit. (I've removed the .gitignore files from the bindings directory
and moved the patterns to the .gitignore in the root directory - I
find it better to keep them at one place.)

Just a response to Łukasz who wanted to have 0.6.1 with vala bindings
released soon - I'd wait about two weeks to see if some more bugs
appear (it has been very calm in this respect so far - not sure if
it's because everything is so stable or because nobody has installed
it yet ;-) and make the release then.



> Regards,
> Tomaž

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]